Page MenuHomePhabricator

Remove navboxes from mobile-html
Closed, ResolvedPublic

Description

Remove the navboxes from the mobile-html content
since there is currently no good implementation to display navboxes on small devices
and on some articles they add a lot to the payload size.

Example

https://en.wikipedia.org/api/rest_v1/page/mobile-html/Cat#External_links

Event Timeline

bearND created this task.Feb 13 2019, 9:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 13 2019, 9:04 PM
bearND triaged this task as Normal priority.Feb 13 2019, 9:04 PM
bearND updated the task description. (Show Details)Feb 13 2019, 9:22 PM
MSantos claimed this task.Feb 18 2019, 5:58 PM
MSantos moved this task from To Do to Doing on the Product-Infrastructure-Team-Backlog (Kanban) board.

Change 493239 had a related patch set uploaded (by MSantos; owner: MSantos):
[mediawiki/services/mobileapps@master] WIP: Remove navboxes from mobile-html

https://gerrit.wikimedia.org/r/493239

Change 493239 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Remove navboxes from mobile-html

https://gerrit.wikimedia.org/r/493239

Deployed a few minutes ago deploy/2019-03-13/5f8e4e61.

MSantos closed this task as Resolved.Apr 12 2019, 4:37 PM